Bug 507445 - Cordless mouse not identified
Cordless mouse not identified
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 15:27 EDT by Andrea
Modified: 2010-06-28 09:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/bus/input/devices (902 bytes, text/plain)
2009-06-22 15:27 EDT, Andrea
no flags Details
/var/log/messages (1.17 KB, text/plain)
2009-06-22 15:28 EDT, Andrea
no flags Details
lsusb (3.02 KB, text/plain)
2009-06-22 15:28 EDT, Andrea
no flags Details
Xorg.0.log (11.43 KB, text/plain)
2009-06-22 15:29 EDT, Andrea
no flags Details
Xorg.0.log with F9 (31.58 KB, text/plain)
2009-06-22 15:39 EDT, Andrea
no flags Details
lshal on PS3 (65.97 KB, text/plain)
2009-06-23 15:16 EDT, Andrea
no flags Details
lshal from F9 on laptop (9.98 KB, application/x-gzip)
2009-06-23 15:19 EDT, Andrea
no flags Details
output of evtest /dev/input/event10 (7.49 KB, text/plain)
2009-06-29 15:31 EDT, Andrea
no flags Details

  None (edit)
Description Andrea 2009-06-22 15:27:13 EDT
Description of problem:

I have a Logitech, Inc. LX710 Cordless Desktop Laser attached to a PS3.
It provides both mouse and keyboard.
The problem is that Xorg does not find it.
The mouse works, when I enter runlevel 3, in textmode I can properly copy and paste using the mouse.

Version-Release number of selected component (if applicable):

The same hardware used to work with Fedora 9 & 10 on the same PS3.


How reproducible:

Always

Steps to Reproduce:
1. Enter any X (the insaller, XFCE...) and the mouse does not respond.
2.
3.
  
Actual results:

Mouse pointer not moving

Expected results:

Mouse pointer following the actual movements.

Additional info:

Even unplugging and plugging mouse when in X does not make any difference.
This is the extract of Xorg.0.log when I plug in the usb.
The keyboard works, the mouse not.

(II) config/hal: Adding input device Logitech USB Receiver
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event1"
(II) Logitech USB Receiver: Found keys
(II) Logitech USB Receiver: Configuring as keyboard
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "gb"
(**) Option "xkb_options" "terminate:ctrl_alt_bksp"
(II) config/hal: Adding input device Logitech USB Receiver
(II) Synaptics touchpad driver version 1.1.0
(**) Option "Device" "/dev/input/event2"
(--) Logitech USB Receiver: no supported touchpad found
(EE) Logitech USB Receiver Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Logitech USB Receiver"
(II) UnloadModule: "synaptics"
(EE) config/hal: NewInputDeviceRequest failed (8)
Comment 1 Andrea 2009-06-22 15:27:56 EDT
Created attachment 348979 [details]
/proc/bus/input/devices
Comment 2 Andrea 2009-06-22 15:28:28 EDT
Created attachment 348980 [details]
/var/log/messages
Comment 3 Andrea 2009-06-22 15:28:57 EDT
Created attachment 348982 [details]
lsusb
Comment 4 Andrea 2009-06-22 15:29:27 EDT
Created attachment 348983 [details]
Xorg.0.log
Comment 5 Andrea 2009-06-22 15:39:18 EDT
Created attachment 348987 [details]
Xorg.0.log with F9

This is the Xorg.0.log when I attach the Cordless keyboard+mouse to my laptop running Fedora 9.
Comment 6 Matěj Cepl 2009-06-23 14:03:20 EDT
Could we get also output from lshal attached here, please?
Comment 7 Andrea 2009-06-23 15:16:32 EDT
Created attachment 349133 [details]
lshal on PS3
Comment 8 Andrea 2009-06-23 15:19:11 EDT
Created attachment 349134 [details]
lshal from F9 on laptop

This is lshal on F9, laptop where the mouse works properly.
Comment 9 Matěj Cepl 2009-06-24 04:00:25 EDT
Hmm, weird. It seems to be recognized:

udi = '/org/freedesktop/Hal/devices/usb_device_46d_c517_noserial_if1_logicaldev_input'
  access_control.file = '/dev/input/event2'  (string)
  access_control.type = 'mouse'  (string)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.keypad', 'input.keys', 'input.mouse', 'input.touchpad', 'button', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_46d_c517_noserial_if1'  (string)
  info.product = 'Logitech USB Receiver'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_46d_c517_noserial_if1_logicaldev_input'  (string)
  input.device = '/dev/input/event2'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/usb_device_46d_c517_noserial_if1'  (string)
  input.product = 'Logitech USB Receiver'  (string)
  input.x11_driver = 'synaptics'  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'evdev'  (string)
  input.xkb.rules = 'base'  (string)
  input.xkb.variant = ''  (string)
  linux.device_file = '/dev/input/event2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/ps3_system/sb_05/usb1/1-2/1-2.2/1-2.2:1.1/input/input2/event2'  (string)
Comment 10 Peter Hutterer 2009-06-24 19:10:51 EDT
for some reason your mouse looks like a touchpad and is picked up by the synaptics driver. HAL assigns these on the capabilites exported, seems the mouse does export absolute axes or so too.

create a /etc/hal/fdi/policy/foo.fdi file (more meaningful name might be good :) and add the following:

<?xml version="1.0" encoding="ISO-8859-1"?>
<deviceinfo version="0.2">
  <device>
    <match key="info.product" contains="Logitech USB Receiver">
        <merge key="input.x11_driver" type="string">evdev</merge>
    </match>
  </device>
</deviceinfo>

then restart HAL, verify that lshal now shows input.x11_driver = evdev for the device and then restart X.

https://fedoraproject.org/wiki/Input_device_configuration might be interesting for more info

Lets us know how you go.
Comment 11 Andrea 2009-06-26 15:48:29 EDT
Yes, it works.

Any reason why it used to work in Fedora 9 & 10 while now it needs the overwrite?

Cheers
Comment 12 Peter Hutterer 2009-06-28 18:23:53 EDT
we used to only set synaptics for actual "Synaptics" devices (with that string in the product name) but since extended to support most touchpads. so anything with input.touchpad in the capabilities is now picked up by synaptics.


please get http://people.freedesktop.org/~whot/evtest.c and run it against the device's /dev/input/eventX device (where X is a number, check /proc/bus/input/devices to get it). Then attach the output here. I'd like to know what capabilities the device provides that it's picked up as a touchpad instead of a mouse.
Comment 13 Andrea 2009-06-29 15:31:38 EDT
Created attachment 349858 [details]
output of evtest /dev/input/event10

I've run it on my laptop. I attach as well the output of dmesg

usb 3-2: new low speed USB device using uhci_hcd and address 3
usb 3-2: New USB device found, idVendor=046d, idProduct=c517
usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-2: Product: USB Receiver
usb 3-2: Manufacturer: Logitech
usb 3-2: configuration #1 chosen from 1 choice
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input9
logitech 0003:046D:C517.0002: input,hidraw1: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:1d.1-2/input0
logitech 0003:046D:C517.0003: fixing up Logitech keyboard report descriptor
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.1/input/input10
logitech 0003:046D:C517.0003: input,hiddev96,hidraw2: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:1d.1-2/input1
evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64 bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html
evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64 bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html
evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64 bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html
evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64 bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html
evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64 bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html
Comment 14 Andrea 2009-07-12 03:15:01 EDT
Has anybody been able to analyze the output I provided?
Comment 15 Peter Hutterer 2009-07-14 00:02:44 EDT
Reassigning to HAL.
Comment 16 Andrea 2009-11-24 07:56:14 EST
Is there any news on this?
Any idea if it has been fixed on F12?
Comment 17 Bug Zapper 2010-04-27 11:10:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 09:13:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.